#if !defined(AFX_PANELSETTINGS_H__90CBA232_D209_11D2_BB49_00E029219C3C__INCLUDED_)
#define AFX_PANELSETTINGS_H__90CBA232_D209_11D2_BB49_00E029219C3C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PanelSettings.h : header file
//

#include "Panel.h"

/////////////////////////////////////////////////////////////////////////////
// CPanelSettings dialog

class CPanelSettings : public CPanel
{
// Construction
public:
	CPanelSettings(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPanelSettings)
	enum { IDD = IDD_DIALOG_Settings };
	CButton	m_CheckAutoDetectErrors;
	CEdit	m_EditMainDirectory;
	CEdit	m_EditBinDirectory;
	CEdit	m_EditExeName;
	//}}AFX_DATA

	BOOL Create( CWnd* pParentWnd );
	virtual void m_fn_vUpdateRegistry();
	BOOL m_fn_bCanChangePanel();
	void m_fn_vOnDisplayPanel();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPanelSettings)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPanelSettings)
	afx_msg void OnBrowseMainDirectory();
	afx_msg void OnBrowseBinaryDirectory();
	afx_msg void OnBrowseExeName();
	afx_msg void OnChangeMainDirectory();
	afx_msg void OnChangeBinaryDirectory();
	afx_msg void OnChangeExeName();
	afx_msg void OnRADIODebugOrRelease();
	afx_msg void OnDropFiles(HDROP hDropInfo);
	afx_msg void OnCHECKAutoDetectErrors();
	afx_msg void OnBUTTONMakeVersion();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	BOOL m_fn_bValidateMainDirectorySetting();
	BOOL m_fn_bValidateBinDirectorySetting();
	BOOL m_fn_bValidateGameExeSetting();

	BOOL m_bMainDirectoryIsValid;
	BOOL m_bBinDirectoryIsValid;
	BOOL m_bGameExeIsValid;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PANELSETTINGS_H__90CBA232_D209_11D2_BB49_00E029219C3C__INCLUDED_)
